namespace BTSPracCourse.Maps.Samples {
    
    
    [Microsoft.XLANGs.BaseTypes.SchemaReference(@"BTSPracCourse.Schemas.Sample.NewsML", typeof(BTSPracCourse.Schemas.Sample.NewsML))]
    [Microsoft.XLANGs.BaseTypes.SchemaReference(@"BTSPracCourse.Schemas.Sample.NewsML", typeof(BTSPracCourse.Schemas.Sample.NewsML))]
    public sealed class OutputNodesConditionalMap : Microsoft.XLANGs.BaseTypes.TransformBase {
        
        private const string _strMap = @"<?xml version=""1.0"" encoding=""UTF-16""?>
<xsl:stylesheet xmlns:xsl=""http://www.w3.org/1999/XSL/Transform"" xmlns:msxsl=""urn:schemas-microsoft-com:xslt"" xmlns:var=""http://schemas.microsoft.com/BizTalk/2003/var"" exclude-result-prefixes=""msxsl var userCSharp"" version=""1.0"" xmlns:ns0=""http://www.MoustafaRefaat.com/BTSPracCourseSchemas/NewsSchema"" xmlns:userCSharp=""http://schemas.microsoft.com/BizTalk/2003/userCSharp"">
  <xsl:output omit-xml-declaration=""yes"" method=""xml"" version=""1.0"" />
  <xsl:template match=""/"">
    <xsl:apply-templates select=""/ns0:NewsML"" />
  </xsl:template>
  <xsl:template match=""/ns0:NewsML"">
    <ns0:NewsML>
      <xsl:for-each select=""NewsItem"">
        <xsl:variable name=""var:v1"" select=""userCSharp:LogicalEq(string(Identification/NewsIdentifier/ns0:ProviderId/text()) , &quot;&quot;CP&quot;&quot;)"" />
        <xsl:if test=""$var:v1"">
          <NewsItem>
            <Identification>
              <NewsIdentifier>
                <ns0:RevisionId>
                  <xsl:attribute name=""PreviousRevision"">
                    <xsl:text>0</xsl:text>
                  </xsl:attribute>
                  <xsl:attribute name=""Update"">
                    <xsl:text>N</xsl:text>
                  </xsl:attribute>
                </ns0:RevisionId>
              </NewsIdentifier>
            </Identification>
          </NewsItem>
        </xsl:if>
      </xsl:for-each>
      <xsl:value-of select=""./text()"" />
    </ns0:NewsML>
  </xsl:template>
  <msxsl:script language=""C#"" implements-prefix=""userCSharp""><![CDATA[
public bool LogicalEq(string val1, string val2)
{
	bool ret = false;
	double d1 = 0;
	double d2 = 0;
	if (IsNumeric(val1, ref d1) && IsNumeric(val2, ref d2))
	{
		ret = d1 == d2;
	}
	else
	{
		ret = String.Compare(val1, val2, StringComparison.Ordinal) == 0;
	}
	return ret;
}


public bool IsNumeric(string val)
{
	if (val == null)
	{
		return false;
	}
	double d = 0;
	return Double.TryParse(val, System.Globalization.NumberStyles.AllowThousands | System.Globalization.NumberStyles.Float, System.Globalization.CultureInfo.InvariantCulture, out d);
}

public bool IsNumeric(string val, ref double d)
{
	if (val == null)
	{
		return false;
	}
	return Double.TryParse(val, System.Globalization.NumberStyles.AllowThousands | System.Globalization.NumberStyles.Float, System.Globalization.CultureInfo.InvariantCulture, out d);
}


]]></msxsl:script>
</xsl:stylesheet>";
        
        private const string _strArgList = @"<ExtensionObjects />";
        
        private const string _strSrcSchemasList0 = @"BTSPracCourse.Schemas.Sample.NewsML";
        
        private const BTSPracCourse.Schemas.Sample.NewsML _srcSchemaTypeReference0 = null;
        
        private const string _strTrgSchemasList0 = @"BTSPracCourse.Schemas.Sample.NewsML";
        
        private const BTSPracCourse.Schemas.Sample.NewsML _trgSchemaTypeReference0 = null;
        
        public override string XmlContent {
            get {
                return _strMap;
            }
        }
        
        public override string XsltArgumentListContent {
            get {
                return _strArgList;
            }
        }
        
        public override string[] SourceSchemas {
            get {
                string[] _SrcSchemas = new string [1];
                _SrcSchemas[0] = @"BTSPracCourse.Schemas.Sample.NewsML";
                return _SrcSchemas;
            }
        }
        
        public override string[] TargetSchemas {
            get {
                string[] _TrgSchemas = new string [1];
                _TrgSchemas[0] = @"BTSPracCourse.Schemas.Sample.NewsML";
                return _TrgSchemas;
            }
        }
    }
}
