namespace BTSPracCourse.Schemas.Sample {
    using Microsoft.XLANGs.BaseTypes;
    
    
    [SchemaType(SchemaTypeEnum.Document)]
    [Schema(@"http://www.MoustafaRefaat.com/BTSPracCourseSchemas/DeslReportSchema",@"DealFinancialInfo")]
    [System.SerializableAttribute()]
    [SchemaRoots(new string[] {@"DealFinancialInfo"})]
    public sealed class FinanceFeedSchema : Microsoft.XLANGs.BaseTypes.SchemaBase {
        
        [System.NonSerializedAttribute()]
        private static object _rawSchema;
        
        [System.NonSerializedAttribute()]
        private const string _strSchema = @"<?xml version=""1.0"" encoding=""utf-16""?>
<xs:schema xmlns:b=""http://schemas.microsoft.com/BizTalk/2003"" xmlns=""http://www.MoustafaRefaat.com/BTSPracCourseSchemas/DeslReportSchema"" targetNamespace=""http://www.MoustafaRefaat.com/BTSPracCourseSchemas/DeslReportSchema"" xmlns:xs=""http://www.w3.org/2001/XMLSchema"">
  <xs:element name=""DealFinancialInfo"">
    <xs:annotation>
      <xs:appinfo>
        <b:recordInfo rootTypeName=""DealFinancialInfo"" xmlns:b=""http://schemas.microsoft.com/BizTalk/2003"" />
      </xs:appinfo>
    </xs:annotation>
    <xs:complexType>
      <xs:sequence>
        <xs:element minOccurs=""0"" maxOccurs=""unbounded"" name=""FeeInfo"">
          <xs:complexType>
            <xs:sequence>
              <xs:element name=""PrimaryBorrower"">
                <xs:complexType>
                  <xs:attribute name=""FirstName"" type=""xs:string"" />
                  <xs:attribute name=""MiddleName"" type=""xs:string"" />
                  <xs:attribute name=""LastName"" type=""xs:string"" />
                </xs:complexType>
              </xs:element>
              <xs:element name=""Taxes"">
                <xs:complexType>
                  <xs:attribute name=""Type"" type=""xs:string"" />
                  <xs:attribute name=""Value"" type=""xs:string"" />
                </xs:complexType>
              </xs:element>
              <xs:element name=""Registeration"">
                <xs:complexType>
                  <xs:attribute name=""Date"" type=""xs:string"" />
                  <xs:attribute name=""Number"" type=""xs:string"" />
                  <xs:attribute name=""Status"" type=""xs:string"" />
                  <xs:attribute name=""Period"" type=""xs:string"" />
                </xs:complexType>
              </xs:element>
            </xs:sequence>
            <xs:attribute name=""ReportDate"" type=""xs:string"" />
            <xs:attribute name=""RequestDate"" type=""xs:string"" />
            <xs:attribute name=""ReferenceNumber"" type=""xs:string"" />
            <xs:attribute name=""PolicyNumber"" type=""xs:string"" />
            <xs:attribute name=""ProgramName"" type=""xs:string"" />
            <xs:attribute name=""ProgramType"" type=""xs:string"" />
            <xs:attribute name=""ColateralType"" type=""xs:string"" />
            <xs:attribute name=""DealType"" type=""xs:string"" />
            <xs:attribute name=""ProvinceCode"" type=""xs:string"" />
            <xs:attribute name=""SaleDate"" type=""xs:string"" />
            <xs:attribute name=""CancallationDate"" type=""xs:string"" />
            <xs:attribute name=""LenderBranch"" type=""xs:string"" />
            <xs:attribute name=""LoanNumber"" type=""xs:string"" />
            <xs:attribute name=""LoanAmount"" type=""xs:string"" />
            <xs:attribute name=""LiabilityAmount"" type=""xs:string"" />
            <xs:attribute name=""Recipient"" type=""xs:string"" />
            <xs:attribute name=""ServiceID"" type=""xs:string"" />
            <xs:attribute name=""FeeAmount"" type=""xs:string"" />
            <xs:attribute name=""FeeType"" type=""xs:string"" />
            <xs:attribute name=""LOB"" type=""xs:string"" />
            <xs:attribute name=""Division"" type=""xs:string"" />
          </xs:complexType>
        </xs:element>
      </xs:sequence>
    </xs:complexType>
  </xs:element>
</xs:schema>";
        
        public FinanceFeedSchema() {
        }
        
        public override string XmlContent {
            get {
                return _strSchema;
            }
        }
        
        public override string[] RootNodes {
            get {
                string[] _RootElements = new string [1];
                _RootElements[0] = "DealFinancialInfo";
                return _RootElements;
            }
        }
        
        protected override object RawSchema {
            get {
                return _rawSchema;
            }
            set {
                _rawSchema = value;
            }
        }
    }
}
