namespace BTSPracCourse.Schemas.Sample {
    using Microsoft.XLANGs.BaseTypes;
    
    
    [SchemaType(SchemaTypeEnum.Document)]
    [Schema(@"http://www.DIC.com/GSPI/ReportingFeedSchema",@"DealReportingInfo")]
    [System.SerializableAttribute()]
    [SchemaRoots(new string[] {@"DealReportingInfo"})]
    public sealed class ReportingFeedSchema : Microsoft.XLANGs.BaseTypes.SchemaBase {
        
        [System.NonSerializedAttribute()]
        private static object _rawSchema;
        
        [System.NonSerializedAttribute()]
        private const string _strSchema = @"<?xml version=""1.0"" encoding=""utf-16""?>
<xs:schema xmlns:b=""http://schemas.microsoft.com/BizTalk/2003"" xmlns=""http://www.DIC.com/GSPI/ReportingFeedSchema"" targetNamespace=""http://www.DIC.com/GSPI/ReportingFeedSchema"" xmlns:xs=""http://www.w3.org/2001/XMLSchema"">
  <xs:element name=""DealReportingInfo"">
    <xs:complexType>
      <xs:sequence>
        <xs:element name=""ReportingEntry"">
          <xs:complexType>
            <xs:sequence>
              <xs:element name=""BranchContact"">
                <xs:complexType>
                  <xs:attribute name=""FirstName"" type=""xs:string"" />
                  <xs:attribute name=""LastName"" type=""xs:string"" />
                </xs:complexType>
              </xs:element>
              <xs:element name=""LoanAmount"" type=""xs:string"" />
              <xs:element name=""Tax"">
                <xs:complexType>
                  <xs:attribute name=""Type"" type=""xs:string"" />
                  <xs:attribute name=""Value"" type=""xs:string"" />
                </xs:complexType>
              </xs:element>
              <xs:element name=""Registeration"">
                <xs:complexType>
                  <xs:attribute name=""Date"" type=""xs:string"" />
                  <xs:attribute name=""Number"" type=""xs:string"" />
                  <xs:attribute name=""Status"" type=""xs:string"" />
                  <xs:attribute name=""Period"" type=""xs:string"" />
                </xs:complexType>
              </xs:element>
              <xs:element name=""PrimaryBorrower"">
                <xs:complexType>
                  <xs:attribute name=""FirstName"" type=""xs:string"" />
                  <xs:attribute name=""MiddleName"" type=""xs:string"" />
                  <xs:attribute name=""LastName"" type=""xs:string"" />
                </xs:complexType>
              </xs:element>
            </xs:sequence>
            <xs:attribute name=""Division"" type=""xs:string"" />
            <xs:attribute name=""LOB"" type=""xs:string"" />
            <xs:attribute name=""ProgramName"" type=""xs:string"" />
            <xs:attribute name=""ProgramType"" type=""xs:string"" />
            <xs:attribute name=""LenderName"" type=""xs:string"" />
            <xs:attribute name=""LenderBranch"" type=""xs:string"" />
            <xs:attribute name=""RequestReceivedDate"" type=""xs:string"" />
            <xs:attribute name=""ColateralType"" type=""xs:string"" />
            <xs:attribute name=""ServiceType"" type=""xs:string"" />
            <xs:attribute name=""ServiceSubType"" type=""xs:string"" />
            <xs:attribute name=""LiabilityAmount"" type=""xs:string"" />
            <xs:attribute name=""LoanNumber"" type=""xs:string"" />
            <xs:attribute name=""LoanTerm"" type=""xs:string"" />
            <xs:attribute name=""FundingDate"" type=""xs:string"" />
            <xs:attribute name=""ReferenceNumber"" type=""xs:string"" />
            <xs:attribute name=""PolicyNumber"" type=""xs:string"" />
            <xs:attribute name=""CTIIssueDate"" type=""xs:string"" />
            <xs:attribute name=""SearchCompletionDate"" type=""xs:string"" />
            <xs:attribute name=""ServiceCompletionDate"" type=""xs:string"" />
            <xs:attribute name=""CancellationDate"" type=""xs:string"" />
            <xs:attribute name=""ServiceID"" type=""xs:string"" />
            <xs:attribute name=""Amount"" type=""xs:string"" />
            <xs:attribute name=""ExpenseFlag"" type=""xs:string"" />
          </xs:complexType>
        </xs:element>
      </xs:sequence>
    </xs:complexType>
  </xs:element>
</xs:schema>";
        
        public ReportingFeedSchema() {
        }
        
        public override string XmlContent {
            get {
                return _strSchema;
            }
        }
        
        public override string[] RootNodes {
            get {
                string[] _RootElements = new string [1];
                _RootElements[0] = "DealReportingInfo";
                return _RootElements;
            }
        }
        
        protected override object RawSchema {
            get {
                return _rawSchema;
            }
            set {
                _rawSchema = value;
            }
        }
    }
}
